Nogmaals bedankt, Huib. 
I built Cocoon 2.1.11 in ~/.m2/repository as you suggested, and checked that my settings.xml points to this repo. Now i'm having (what must be total noob) trouble getting Maven to find the Validation blocks in the local repo. 

I've tried dozens of variations of the following POM dependencies:

<dependency>
    <groupId>cocoon</groupId>
    <artifactId>cocoon-validation</artifactId>
    <version>2.1.11</version>  
</dependency>
 <dependency>
            <groupId>org.apache.cocoon</groupId>
            <artifactId>cocoon-validation-impl</artifactId>
            <version>1.0.0-SNAPSHOT</version>
  </dependency>

.. but still get a build fail:

Could not resolve dependencies for project com.mycompany:lsdb:jar:1.0.0: Could not find artifact org.apache.cocoon:cocoon-validation-impl:jar:1.0.0-SNAPSHOT

The worst part is with your earlier help, it was working for a few days. Then the builds started failing again. So if nothing in Maven central has changed, that means my earlier attempts to install the Validation block locally (in the Cocoon app, not in the Maven repo) worked. 

Now i'm looking for a way to tell Maven to get the -impl block from:

 ~/.m2/repository/cocoon-2.1.11/src/blocks/validation/

.. I've tried a number of things but can't find the key. Any clues?

Cheers,
- Myles
Helsinki


[...]
What I did was download the cocoon source code and use the build.sh script to install it into the local maven repo - "./build.sh install" like it says in the README. It did take some tweaking to get that to successfully complete unfortunately, it didn't work "out-of-the-box" for me. But once that hurdle had been taken, the validation-impl jar could be found. 
 
Hartelijke groet,

Huib.
--
Drs. Huib Verweij
Senior software developer - The Language Archive
Max Planck Institute for Psycholinguistics
P.O. Box 310
6500 AH Nijmegen
The Netherlands